ProfilingGrailsPluginManager (Grails 3.0.10.BUILD-SNAPSHOT)
Date: 2015-12-03

Package: org.grails.plugins

## [Java] Class ProfilingGrailsPluginManager

- org.grails.plugins.ProfilingGrailsPluginManager

- A GrailsPluginManager implementation that outputs profile data to a logger.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class DefaultGrailsPluginManager` | `COMMON_CLASSES`
    `class org.grails.plugins.AbstractGrailsPluginManager` | `CONFIG_FILE, BEAN_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ProfilingGrailsPluginManager (GrailsApplication application)`
    `ProfilingGrailsPluginManager (java.lang.Class<?>[] plugins, GrailsApplication application)`
    `ProfilingGrailsPluginManager (org.springframework.core.io.Resource[] pluginFiles, GrailsApplication application)`
    `ProfilingGrailsPluginManager (java.lang.String resourcePath, GrailsApplication application)`
    `ProfilingGrailsPluginManager (java.lang.String[] pluginResources, GrailsApplication application)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `doArtefactConfiguration()`
    `void` | `doDynamicMethods()`
    `void` | `doPostProcessing(org.springframework.context.ApplicationContext ctx)`
    `void` | `doRuntimeConfiguration(RuntimeSpringConfiguration springConfig)`
    `void` | `loadPlugins()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class DefaultGrailsPluginManager` | `canRegisterPlugin, checkForChanges, createGrailsPlugin, createGrailsPlugin, doDynamicMethods, evictPlugin, getPluginObservers, getUserPlugins, informObservers, loadPlugins, refreshPlugin, reloadPlugin, resolveLoadDependencies, setApplication, setApplicationContext, setParentApplicationContext, setPluginFilter, sortPlugins, startPluginChangeScanner, stopPluginChangeScanner`
    `class org.grails.plugins.AbstractGrailsPluginManager` | `org.grails.plugins.AbstractGrailsPluginManager#isShutdown(), org.grails.plugins.AbstractGrailsPluginManager#getTypeFilters(), org.grails.plugins.AbstractGrailsPluginManager#getAllPlugins(), org.grails.plugins.AbstractGrailsPluginManager#getFailedLoadPlugins(), org.grails.plugins.AbstractGrailsPluginManager#isInitialised(), org.grails.plugins.AbstractGrailsPluginManager#getFailedPlugin(java.lang.String), org.grails.plugins.AbstractGrailsPluginManager#doRuntimeConfiguration(java.lang.String, org.grails.spring.RuntimeSpringConfiguration), org.grails.plugins.AbstractGrailsPluginManager#doRuntimeConfiguration(org.grails.spring.RuntimeSpringConfiguration), org.grails.plugins.AbstractGrailsPluginManager#doPostProcessing(org.springframework.context.ApplicationContext), org.grails.plugins.AbstractGrailsPluginManager#getPluginResources(), org.grails.plugins.AbstractGrailsPluginManager#getGrailsPlugin(java.lang.String, java.lang.Object), org.grails.plugins.AbstractGrailsPluginManager#getGrailsPlugin(java.lang.String), org.grails.plugins.AbstractGrailsPluginManager#getGrailsPluginForClassName(java.lang.String), org.grails.plugins.AbstractGrailsPluginManager#hasGrailsPlugin(java.lang.String), org.grails.plugins.AbstractGrailsPluginManager#doDynamicMethods(), org.grails.plugins.AbstractGrailsPluginManager#setApplicationContext(org.springframework.context.ApplicationContext), org.grails.plugins.AbstractGrailsPluginManager#setApplication(grails.core.GrailsApplication), org.grails.plugins.AbstractGrailsPluginManager#registerProvidedArtefacts(grails.core.GrailsApplication), org.grails.plugins.AbstractGrailsPluginManager#doArtefactConfiguration(), org.grails.plugins.AbstractGrailsPluginManager#setPluginFilter(grails.plugins.PluginFilter), org.grails.plugins.AbstractGrailsPluginManager#supportsCurrentBuildScope(java.lang.String), org.grails.plugins.AbstractGrailsPluginManager#setLoadCorePlugins(boolean), org.grails.plugins.AbstractGrailsPluginManager#informOfClassChange(java.lang.Class), org.grails.plugins.AbstractGrailsPluginManager#informOfClassChange(java.io.File, java.lang.Class), org.grails.plugins.AbstractGrailsPluginManager#getPluginPath(java.lang.String), org.grails.plugins.AbstractGrailsPluginManager#getPluginPathForInstance(java.lang.Object), org.grails.plugins.AbstractGrailsPluginManager#getPluginForInstance(java.lang.Object), org.grails.plugins.AbstractGrailsPluginManager#getPluginForClass(java.lang.Class), org.grails.plugins.AbstractGrailsPluginManager#informPluginsOfConfigChange(), org.grails.plugins.AbstractGrailsPluginManager#informOfFileChange(java.io.File), org.grails.plugins.AbstractGrailsPluginManager#getPluginPathForClass(java.lang.Class), org.grails.plugins.AbstractGrailsPluginManager#getPluginViewsPathForInstance(java.lang.Object), org.grails.plugins.AbstractGrailsPluginManager#getPluginViewsPathForClass(java.lang.Class), org.grails.plugins.AbstractGrailsPluginManager#shutdown(), org.grails.plugins.AbstractGrailsPluginManager#wait(long, int), org.grails.plugins.AbstractGrailsPluginManager#wait(long), org.grails.plugins.AbstractGrailsPluginManager#wait(), org.grails.plugins.AbstractGrailsPluginManager#equals(java.lang.Object), org.grails.plugins.AbstractGrailsPluginManager#toString(), org.grails.plugins.AbstractGrailsPluginManager#hashCode(), org.grails.plugins.AbstractGrailsPluginManager#getClass(), org.grails.plugins.AbstractGrailsPluginManager#notify(), org.grails.plugins.AbstractGrailsPluginManager#notifyAll(), org.grails.plugins.AbstractGrailsPluginManager#getUserPlugins(), org.grails.plugins.AbstractGrailsPluginManager#checkForChanges(), org.grails.plugins.AbstractGrailsPluginManager#refreshPlugin(java.lang.String), org.grails.plugins.AbstractGrailsPluginManager#loadPlugins(), org.grails.plugins.AbstractGrailsPluginManager#getPluginObservers(grails.plugins.GrailsPlugin), org.grails.plugins.AbstractGrailsPluginManager#informObservers(java.lang.String, java.util.Map)`

- - ### Constructor Detail

    - #### public ProfilingGrailsPluginManager(GrailsApplication application)

    - #### public ProfilingGrailsPluginManager(java.lang.Class<?>[] plugins, GrailsApplication application)

    - #### public ProfilingGrailsPluginManager(org.springframework.core.io.Resource[] pluginFiles, GrailsApplication application)

    - #### public ProfilingGrailsPluginManager(java.lang.String resourcePath, GrailsApplication application)

    - #### public ProfilingGrailsPluginManager(java.lang.String[] pluginResources, GrailsApplication application)

  - ### Method Detail

    - #### @java.lang.Override public void doArtefactConfiguration()

    - #### @java.lang.Override public void doDynamicMethods()

    - #### @java.lang.Override public void doPostProcessing(org.springframework.context.ApplicationContext ctx)

    - #### @java.lang.Override public void doRuntimeConfiguration(RuntimeSpringConfiguration springConfig)

    - #### @java.lang.Override public void loadPlugins()